package fr.lri.insitu.FlowStates.examples.menus.events;

import java.awt.geom.Point2D;

import fr.lri.insitu.FlowStates.events.IConPositionEvent;

public class CommandMove extends IConPositionEvent {

	private String command;
	private double deltaX, deltaY, startX, startY;
	
	public CommandMove() {
		
	}
	
	public CommandMove(String command, Point2D pos, double deltaX, double deltaY, double startX, double startY) {
		super(pos);
		this.command = command;
		this.deltaX = deltaX;
		this.deltaY = deltaY;
		this.startX = startX;
		this.startY = startY;
	}

	public String getSlotCommand() {
		return command;
	}

	public void setSlotCommand(String command) {
		this.command = command;
	}
	
	public double getSlotDeltaX() {
		return deltaX;
	}

	public void setSlotDeltaX(double v) {
		deltaX = v;
	}

	public double getSlotDeltaY() {
		return deltaY;
	}

	public void setSlotDeltaY(double v) {
		deltaY = v;
	}
	
	public double getSlotStartX() {
		return startX;
	}

	public void setSlotStartX(double v) {
		startX = v;
	}

	public double getSlotStartY() {
		return startY;
	}

	public void setSlotStartY(double v) {
		startY = v;
	}
	
	public boolean occurs() {
		return true;
	}
}
