package fr.lri.insitu.FlowStates.examples.simplePanZoom;

import fr.lri.insitu.FlowStates.examples.graphicalEditor.ZoomableCanvas;
import fr.lri.insitu.FlowStates.sm.IConStateMachine;
import fr.lri.swingstates.sm.State;
import fr.lri.swingstates.sm.Transition;
import fr.lri.swingstates.sm.transitions.Event;

public class PanInteraction extends IConStateMachine {

	public PanInteraction() {
		super();
	}
	
	public PanInteraction(String name, ZoomableCanvas c) {
		super(name, c);
	}

	State idle = new State() {
		Transition pan = new Event(Pan.class) {
			public void action() {
				((ZoomableCanvas)getCanvas()).panBy(((Pan)getEvent()).getSlotDeltaX(), ((Pan)getEvent()).getSlotDeltaY()); 
			}
		};
	};

}

