package fr.lri.insitu.FlowStates.events;

import java.util.LinkedList;
import java.util.List;
import fr.lri.swingstates.events.VirtualEvent;

public abstract class IConEvent extends VirtualEvent implements InSlotEvent, OutSlotEvent {

	private List<String> slotsSignal = new LinkedList<String>();
	
	public IConEvent() {
		this("");
	}
	
	public IConEvent(String n) {
		super(n);
	}

	public IConEvent(String n, Object source) {
		super(n, source);
	}
	
	public abstract boolean occurs();
	
	public void slotHasSignal(String slotName) {
		if(!slotsSignal.contains(slotName)) slotsSignal.add(slotName);
	}
	
	public boolean hasSignal(String slotName) {
		return slotsSignal.contains(slotName);
	}
	
}
